local ListBox = require "core.modules.menusystem.listbox"

local MenuObject = ListBox:extend()
local Widgets = require "scenes.debugmenu.widgets"

function MenuObject:new(scene, name)
  local screenwidth, screenheight = core.screen:getDimensions()
  local height, width, x, y
  height = screenheight - (88 + 24)
  width  = 240
  x = screenwidth/2   - width/2
  y = screenheight/2  - height/2 - 8

  MenuObject.super.new(self, scene.menusystem, name, x, y, width, height, 5)
  self.scene = scene

  self.isActive   = false
  self.isVisible  = false
end

function MenuObject:draw()
  MenuObject.super.draw(self)
end

return MenuObject
